## ----setup, include=FALSE-----------------------------------------------------
libv <- c("lute", "SummarizedExperiment", "SingleCellExperiment")
sapply(libv, library, character.only=TRUE)
knitr::opts_chunk$set(echo=TRUE, eval=TRUE)

## ----eval = F-----------------------------------------------------------------
# BiocManager::install("lute")

## ----eval = F-----------------------------------------------------------------
# devtools::install("metamaden/lute")

## -----------------------------------------------------------------------------
library(lute)

## -----------------------------------------------------------------------------
info.table <- luteSupportedDeconvolutionAlgorithms()[,seq(5)]
knitr::kable(info.table)

## -----------------------------------------------------------------------------
markersPerType <- 5
totalGenes <- 100
exampleSingleCellExperiment <- randomSingleCellExperiment(
  numberGenes=totalGenes)

## -----------------------------------------------------------------------------
markers <- lute(singleCellExperiment=exampleSingleCellExperiment,
                markersPerType=markersPerType, 
                deconvolutionAlgorithm=NULL)
length(markers$typemarkerResults)

## -----------------------------------------------------------------------------
examplePseudobulkExpression <- exampleBulkExpression <- ypb_from_sce(
  singleCellExperiment=exampleSingleCellExperiment)

## -----------------------------------------------------------------------------
experiment.results <- lute(singleCellExperiment=exampleSingleCellExperiment, 
                           bulkExpression=as.matrix(exampleBulkExpression), 
                           typemarkerAlgorithm=NULL)

## -----------------------------------------------------------------------------
experiment.results$deconvolution.results

## -----------------------------------------------------------------------------
sessionInfo()

